function [ signal ] = pasmova_propust( zvuk, frekvence  )
%% Výpočet pásmové propusti
%
%vstup signál
%zvukový signál
%
%vstup frekvence
%frekvence nahrávky zvukového signálu
%
%výstup zvuk
%zvukový signál upraven
%

frekDolni = 150;      %horní 
frekHorni = 3600;     %dolní
N=300;

frDolNorm = frekDolni / (frekvence/2);             %dolní mez
frHorNorm = frekHorni / (frekvence/2);             %horní mez

filtr = fir1(N,[frDolNorm frHorNorm], 'DC-0');  %pásmová propust

signal = filter(filtr, 1, zvuk);

end

